<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<app-contracts-list
  [contractIdentities]="(contractIdentities$ | async) ?? []"
  (onDownloadChunkOfIdentities)="onDownloadChunkOfIdentities($event)"
  emptyMessage="No revoked contracts"
>
  <ng-template #options let-contract>
    <app-revoked-contract-actions *ngIf="contract" [contract]="contract"></app-revoked-contract-actions>
  </ng-template>
</app-contracts-list>
